Subject: [quicwg/base-drafts] IANA review of -transport; question 1 (#4376)

From: Lars Eggert <[email-masked]>
Date: Mon, 16 Nov 2020 22:05:24 -0800

Please see the [review email](https://mailarchive.ietf.org/arch/msg/quic/xlL0IKet4F_QwoiesvANZ32YsKQ) for full context. This issue is tracking the following IANA question:
>First, a new registry page will be created on the IANA Matrix located at: https://www.iana.org/protocols
>the new registry page will be titled "QUIC" and have a reference of [ RFC-to-be ].
>
>IANA Question --> Regarding the detailed instructions in section 22.1 of the current document, it's not clear to us what information should be captured in a note. Can you provide the notes that should be added to the top of each registry?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4376

---

From: Martin Thomson <[email-masked]>
Date: Tue, 17 Nov 2020 13:30:26 -0800

After reviewing the text, I don't see any request for a note, or anything that suggests that a note might be necessary.  One can be provided, but I would prefer to keep the relevant information in the specification.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4376#issuecomment-729225639

---

From: Magnus Westerlund <[email-masked]>
Date: Thu, 19 Nov 2020 08:36:47 -0800

I think I can clarify this aspect. What IANA is asking for is what text should be included in the registry as additional instructions to the reader and registrant for values in the registry. An example of such a note exists in this registry:
https://www.iana.org/assignments/http-parameters/http-parameters.xhtml#preferences

"Note

    Registration requests should be sent to the mailing list 
    described in [RFC7240]."
       
Thus the algorithm for which values that may not be used is such a note. Other special instruction of need to be know information should be added in such notes. 

Does that help clarifying what is needed to be done here?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4376#issuecomment-730493501

---

From: Martin Thomson <[email-masked]>
Date: Thu, 19 Nov 2020 17:02:25 -0800

Perhaps I should have been clearer.  I think that it should be sufficient to cite the RFC (and relevant section) where the rules were established.  The rules here are sufficiently nuanced that I would not want to paraphrase them in a note.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4376#issuecomment-730741907